org.apache.ignite.internal.processors.cache.distributed

## Class IgniteExternalizableExpiryPolicy

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.distributed.IgniteExternalizableExpiryPolicy

All Implemented Interfaces:
  Externalizable, Serializable, javax.cache.expiry.ExpiryPolicy

    public class IgniteExternalizableExpiryPolicy
    extends Object
    implements javax.cache.expiry.ExpiryPolicy, Externalizable

Externalizable wrapper for `ExpiryPolicy`.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IgniteExternalizableExpiryPolicy()` Required by `Externalizable`.
`IgniteExternalizableExpiryPolicy(javax.cache.expiry.ExpiryPolicy plc)`

### Method Summary

Methods
`javax.cache.expiry.Duration` `getExpiryForAccess()`
`javax.cache.expiry.Duration` `getExpiryForCreation()`
`javax.cache.expiry.Duration` `getExpiryForUpdate()`
`void` `readExternal(ObjectInput in)`
`String` `toString()`
`void` `writeExternal(ObjectOutput out)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgniteExternalizableExpiryPolicy

    public IgniteExternalizableExpiryPolicy()

Required by `Externalizable`.

#### IgniteExternalizableExpiryPolicy

    public IgniteExternalizableExpiryPolicy(javax.cache.expiry.ExpiryPolicy plc)

Parameters:
  `plc` - Expiry policy.

### Method Detail

#### getExpiryForCreation

    public javax.cache.expiry.Duration getExpiryForCreation()

Specified by:
  `getExpiryForCreation` in interface `javax.cache.expiry.ExpiryPolicy`

#### getExpiryForAccess

    public javax.cache.expiry.Duration getExpiryForAccess()

Specified by:
  `getExpiryForAccess` in interface `javax.cache.expiry.ExpiryPolicy`

#### getExpiryForUpdate

    public javax.cache.expiry.Duration getExpiryForUpdate()

Specified by:
  `getExpiryForUpdate` in interface `javax.cache.expiry.ExpiryPolicy`

#### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

Specified by:
  `writeExternal` in interface `Externalizable`
Throws:
  `IOException`

#### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

Specified by:
  `readExternal` in interface `Externalizable`
Throws:
  `IOException`
  `ClassNotFoundException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0-b1
Release Date | : December 1 2015